/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.field.shape.preview;

import java.awt.Color;
import nl.cloudfarming.client.field.model.Shape.ImportType;
import nl.cloudfarming.client.geoviewer.Palette;

/**
 *
 * @author Gerben Feenstra
 */

public class PreviewPanelPalette extends Palette<ImportType> {
    
    public PreviewPanelPalette() {
        super(Color.BLACK);
    }

    public PreviewPanelPalette(Color color) {
        super(color);
    }
    @Override
    public Color getColorForValue(ImportType shapeType) {
        
        if(shapeType.equals(ImportType.SKIP)){
            return Color.GRAY;
        }
        else {
            return new Color(116, 181, 29);
        }
    }
}
